Bug 537357 - 389-ds-base 64bit-portability-issue ldap/servers/plugins/acl/acl_ext.c:698
Summary: 389-ds-base 64bit-portability-issue ldap/servers/plugins/acl/acl_ext.c:698
Status: CLOSED DUPLICATE of bug 171338
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.2.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL: https://build.opensuse.org/package/li...
Whiteboard:
Keywords:
Depends On:
Blocks: 434915 389_1.2.6
TreeView+ depends on / blocked
 
Reported: 2009-11-13 09:49 UTC by Peter Nixon
Modified: 2015-01-04 23:40 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-01-22 19:19:26 UTC


Attachments (Terms of Use)

Description Peter Nixon 2009-11-13 09:49:43 UTC
When building 389-ds-base-1.2.4.tar.bz2 on SUSE Linux rpmlint gives the following warning:

E: 389-ds-base 64bit-portability-issue ldap/servers/plugins/acl/acl_ext.c:698

Comment 1 Peter Nixon 2009-11-13 12:02:11 UTC
libtool: compile: gcc -DHAVE_CONFIG_H -I. -I./include/libaccess -DBUILD_NUM=\"2009.317.115\" "-DVENDOR=\"389 Project\"" -DBRAND=\"389\" -DCAPBRAND=\"389\" -I./ldap/include -I./ldap/servers/slapd -I./include -I. -DLOCALSTATEDIR=\"/var\" -DSYSCONFDIR=\"/etc\" -DLIBDIR=\"/usr/lib\" -DBINDIR=\"/usr/bin\" -DDATADIR=\"/usr/share\" -DDOCDIR=\"/usr/share/doc/dirsrv\" -DSBINDIR=\"/usr/sbin\" -DPLUGINDIR=\"/usr/lib/dirsrv/plugins\" -DTEMPLATEDIR=\"/usr/share/dirsrv/data\" -I/usr/include/mozldap -I/usr/include/nspr4 -I/usr/include/nss3 -I/usr/include/nss3 -I/usr/include/nspr4 -I/usr/include/nspr4 -march=i586 -mtune=i686 -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -MT ldap/servers/plugins/acl/libacl_plugin_la-acleffectiverights.lo -MD -MP -MF ldap/servers/plugins/acl/.deps/libacl_plugin_la-acleffectiverights.Tpo -c ldap/servers/plugins/acl/acleffectiverights.c -fPIC -DPIC -o ldap/servers/plugins/acl/.libs/libacl_plugin_la-acleffectiverights.o
ldap/servers/plugins/acl/acl_ext.c: In function 'acl_init_aclpb':
ldap/servers/plugins/acl/acl_ext.c:698: warning: passing argument 3 of 'PListAssignValue' makes pointer from integer without a cast
ldap/servers/plugins/acl/acl.c: In function 'acl__recompute_acl':
ldap/servers/plugins/acl/acl.c:3919: warning: 'result_status' may be used uninitialized in this function
ldap/servers/plugins/acl/acl.c: In function 'acl__TestRights':
ldap/servers/plugins/acl/acl.c:2693: warning: 'aci' may be used uninitialized in this function
ldap/servers/plugins/acl/aclanom.c: In function 'aclanom_match_profile':
ldap/servers/plugins/acl/aclanom.c:453: warning: 'i' may be used uninitialized in this function

Comment 2 Rich Megginson 2010-01-22 15:31:54 UTC
Looks like nhosoi has fixed this as part of the subtree rename support:
http://nhosoi.fedorapeople.org/0001-Allow-modrdn-to-move-subtree-and-rename-non-leaf-nod.patch

Once she commits that patch, I'll close this bug too.

Comment 3 Rich Megginson 2010-01-22 19:19:26 UTC
Fixed.

*** This bug has been marked as a duplicate of bug 171338 ***


Note You need to log in before you can comment on or make changes to this bug.